Package: org.gradle.nativeplatform

## [Java] Interface NativeLibraryBinary

- org.gradle.nativeplatform.NativeBinary

- All Superinterfaces:
    Binary, NativeBinary

  A physical representation of a NativeLibrary component.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `FileCollection` | `getHeaderDirs()`
    `FileCollection` | `getLinkFiles()`
    `FileCollection` | `getRuntimeFiles()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativeBinary` | `getBuildType, getFlavor, getTargetPlatform`
    `interface Binary` | `getDisplayName`

- - ### Method Detail

    - #### public FileCollection getHeaderDirs()

    - #### public FileCollection getLinkFiles()

    - #### public FileCollection getRuntimeFiles()